MQTT

## Class MQTTSubscriber

- java.lang.Object
- - MQTT.MQTTSubscriber

All Implemented Interfaces:
  java.lang.Runnable

    public class MQTTSubscriber
    extends java.lang.Object
    implements java.lang.Runnable

The Class MQTTSubscriber.

### Constructor Summary

Constructors
Constructor and Description
`MQTTSubscriber(java.util.ArrayList<java.lang.String> topics, org.fusesource.mqtt.client.MQTT mqtt, MQTTCommunication com)` Instantiates a new MQTT subscriber.
`MQTTSubscriber(org.fusesource.mqtt.client.MQTT mqtt, MQTTCommunication com)` Instantiates a new MQTT subscriber.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`
`void` `subscribe(java.util.ArrayList<java.lang.String> topics)` Subscribe.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MQTTSubscriber

    public MQTTSubscriber(org.fusesource.mqtt.client.MQTT mqtt,
                          MQTTCommunication com)

Instantiates a new MQTT subscriber.

Parameters:
  `mqtt` - the mqtt
  `com` - the com

#### MQTTSubscriber

    public MQTTSubscriber(java.util.ArrayList<java.lang.String> topics,
                          org.fusesource.mqtt.client.MQTT mqtt,
                          MQTTCommunication com)

Instantiates a new MQTT subscriber.

Parameters:
  `topics` - the topics
  `mqtt` - the mqtt
  `com` - the com

### Method Detail

#### subscribe

    public void subscribe(java.util.ArrayList<java.lang.String> topics)

Subscribe.

Parameters:
  `topics` - the topics

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`